Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierContentHandle

    java.lang.Object
      rice.p2p.glacier.v2.GlacierContentHandle

All Implemented Interfaces:
  GCPastContentHandle, PastContentHandle, java.io.Serializable

public class GlacierContentHandle
extends java.lang.Object
implements PastContentHandle, GCPastContentHandle

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected Id` | `id` DESCRIBE THE FIELD
`protected Manifest` | `manifest` DESCRIBE THE FIELD
`protected NodeHandle` | `nodeHandle` DESCRIBE THE FIELD
`protected long` | `version` DESCRIBE THE FIELD

Constructor Summary
`GlacierContentHandle(Id id, long version, NodeHandle nodeHandle, Manifest manifest)` Constructor for GlacierContentHandle.

Method Summary
`long` | `getExpiration()` Gets the Expiration attribute of the GlacierContentHandle object
`Id` | `getId()` Gets the Id attribute of the GlacierContentHandle object
`Manifest` | `getManifest()` Gets the Manifest attribute of the GlacierContentHandle object
`NodeHandle` | `getNodeHandle()` Gets the NodeHandle attribute of the GlacierContentHandle object
`long` | `getVersion()` Gets the Version attribute of the GlacierContentHandle object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected Id id

  DESCRIBE THE FIELD

### nodeHandle

    protected NodeHandle nodeHandle

  DESCRIBE THE FIELD

### manifest

    protected Manifest manifest

  DESCRIBE THE FIELD

### version

    protected long version

  DESCRIBE THE FIELD

Constructor Detail

### GlacierContentHandle

    public GlacierContentHandle(Id id,
                                long version,
                                NodeHandle nodeHandle,
                                Manifest manifest)

  Constructor for GlacierContentHandle.

Parameters:
  `id` - DESCRIBE THE PARAMETER
  `version` - DESCRIBE THE PARAMETER
  `nodeHandle` - DESCRIBE THE PARAMETER
  `manifest` - DESCRIBE THE PARAMETER

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the GlacierContentHandle object

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    The Id value

### getNodeHandle

    public NodeHandle getNodeHandle()

  Gets the NodeHandle attribute of the GlacierContentHandle object

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    The NodeHandle value

### getVersion

    public long getVersion()

  Gets the Version attribute of the GlacierContentHandle object

  Specified by:
    `getVersion` in interface `GCPastContentHandle`
  Returns:
    The Version value

### getExpiration

    public long getExpiration()

  Gets the Expiration attribute of the GlacierContentHandle object

  Specified by:
    `getExpiration` in interface `GCPastContentHandle`
  Returns:
    The Expiration value

### getManifest

    public Manifest getManifest()

  Gets the Manifest attribute of the GlacierContentHandle object

  Returns:
    The Manifest value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.